Page MenuHome

can't run blender 2.8 on my 32 bit windows 7 . It crashes
Closed, ArchivedPublic

Description

System Information
Operating system: 32 bit / windows 7
Graphics card: Intel(R) G41 Express Chipset

Blender Version
Broken:
(example: 2.80, edbf15d3c044, blender2.8, 2018-11-28, as found on the splash screen)
Worked: (optional)

Short description of error
AL lib: (EE) UpdateDeviceparams: Failed to set 48000hz, got 44100hz instead win32 Error# (0): The operation completed successfully.

Exact steps for others to reproduce the error
Based on the default startup or an attached .blend file (as simple as possible).I get msg: Blender has stopped working

Details

Type
Bug

Event Timeline

Jacques Lucke (JacquesLucke) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Jan 28 2019, 1:48 PM

Please try to start the newest version of Blender from the console with the --debug --debug-gpu options and post the output here.
Also make sure that your drivers are up to date.

Furthermore can you check which OpenGL version your system supports?

Recent Windows Blender 2.80 32 bit builds also seem to be crashing on start up for me as well. Tested on 2 different computers one that has 32 bit Windows but does start the January 7th 2019 build of 2.80 without apparent issue and another that has 64 bit Windows and loads the same (January 26th build) 64 bit Blender 2.80 but the 32 bit build won't open unless through command prompt with --debug it seems.

On A Fujitsu q584 running Windows 8.1 32 bit.
2019-1-26 blender-2.80-25772c9e1d2d-win32
Crashs while starting up.

Z:\>blender\blender --debug
Switching to fully guarded memory allocator.
Blender 2.80 (sub 42)
Build: 26/01/2019 16:03 Windows Release
argv[0] = blender\blender
argv[1] = --debug

Note: No (valid) 'C:\Users\AnnA\AppData\Roaming\Blender Foundation\Blender\2.80\
config\startup.blend' found, fall back to built-in default.

read file

Version 280 sub 39 date unknown hash unknown

found bundled python: Z:\blender\2.80\python
Error : EXCEPTION_ACCESS_VIOLATION
Address : 0x5D484716
Module : C:\windows\SYSTEM32\ig7icd32.dll

Z:\>blender\blender --debug-gpu
GPUTexture: create : TEXTURE_CUBE_MAP, RGBA16F, w : 2, h : 2, d : 0, comp : 4, s
ize : 0.00 MiB
GPUTexture: create : TEXTURE_1D, RGBA8, w : 1, h : 0, d : 0, comp : 4, size : 0.
00 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 1, h : 1, d : 0, comp : 4, size : 0.
00 MiB
GPUTexture: create : TEXTURE_3D, RGBA8, w : 1, h : 1, d : 1, comp : 4, size : 0.
00 MiB
Using KHR_debug extension
GL application marker: Successfully hooked OpenGL debug callback.
found bundled python: Z:\blender\2.80\python
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2147, h : 26, d : 0, comp : 4, size
: 0.21 MiB
GPUTexture: create : TEXTURE_2D, R8, w : 16384, h : 128, d : 0, comp : 1, size :
2.00 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 405, h : 26, d : 0, comp : 4, size :
0.04 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 16, h : 32, d : 0, comp : 4, size :
0.00 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 16, h : 32, d : 0, comp : 4, size :
0.00 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2520, h : 32, d : 0, comp : 4, size
: 0.31 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2552, h : 20, d : 0, comp : 4, size
: 0.19 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 442, h : 26, d : 0, comp : 4, size :
0.04 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 29, h : 956, d : 0, comp : 4, size :
0.11 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 413, h : 956, d : 0, comp : 4, size
: 1.51 MiB
GPUTexture: create : TEXTURE_2D, R8, w : 16384, h : 128, d : 0, comp : 1, size :
2.00 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 442, h : 26, d : 0, comp : 4, size :
0.04 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 442, h : 440, d : 0, comp : 4, size
: 0.74 MiB
GL API performance: Vertex shader recompiled due to state change.
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2109, h : 26, d : 0, comp : 4, size
: 0.21 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2109, h : 84, d : 0, comp : 4, size
: 0.68 MiB
GL API deprecated behavior: Wide lines have been deprecated. glLineWidth set to
2.000000. glLineWidth with width greater than 1.0 will generate GL_INVALID_VALUE
error in future versions
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2109, h : 26, d : 0, comp : 4, size
: 0.21 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 56, h : 1312, d : 0, comp : 4, size
: 0.28 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2109, h : 1338, d : 0, comp : 4, siz
e : 10.76 MiB
GPUTexture: create : TEXTURE_2D, DEPTH24_STENCIL8, w : 2109, h : 1338, d : 0, co
mp : 1, size : 10.76 MiB
GPUTexture: create : TEXTURE_1D, RGBA8, w : 257, h : 0, d : 0, comp : 4, size :
0.00 MiB
GPUTexture: create : TEXTURE_1D, RGBA8, w : 256, h : 0, d : 0, comp : 4, size :
0.00 MiB
GPUTexture: create : TEXTURE_3D, RGBA8, w : 1, h : 1, d : 1, comp : 4, size : 0.
00 MiB
GPUTexture: create : TEXTURE_1D, RGBA8, w : 1, h : 0, d : 0, comp : 4, size : 0.
00 MiB
GPUTexture: create : TEXTURE_2D, R11F_G11F_B10F, w : 2109, h : 1338, d : 0, comp
: 3, size : 10.76 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2109, h : 1338, d : 0, comp : 4, siz
e : 10.76 MiB
GPUTexture: create : TEXTURE_2D, R32UI, w : 2109, h : 1338, d : 0, comp : 1, siz
e : 10.76 MiB
GPUTexture: create : TEXTURE_2D, RG16, w : 2109, h : 1338, d : 0, comp : 2, size
: 10.76 MiB
GPUTexture: create : TEXTURE_2D, RGB16F, w : 64, h : 64, d : 0, comp : 3, size :
0.05 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2109, h : 1338, d : 0, comp : 4, siz
e : 10.76 MiB
GPUTexture: create : TEXTURE_2D, DEPTH24_STENCIL8, w : 2109, h : 1338, d : 0, co
mp : 1, size : 10.76 MiB
GPUTexture: create : TEXTURE_2D, DEPTH_COMPONENT24, w : 2109, h : 1338, d : 0, c
omp : 1, size : 8.07 MiB
GPUTexture: create : TEXTURE_2D, R16UI, w : 2109, h : 1338, d : 0, comp : 1, siz
e : 5.38 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2109, h : 1338, d : 0, comp : 4, siz
e : 10.76 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 16, h : 16, d : 0, comp : 4, size :
0.00 MiB
Error : EXCEPTION_ACCESS_VIOLATION
Address : 0x5D484716
Module : C:\windows\SYSTEM32\ig7icd32.dll

But
2019-1-7 blender-2.80.0-git.91a155833e59-windows32
works on the same machine.
it does load but an "Error : EXCEPTION_ACCESS_VIOLATION" is added when closing the program.

Z:\>blender\blender --debug-gpu
GPUTexture: create : TEXTURE_CUBE_MAP, RGBA16F, w : 2, h : 2, d : 0, comp : 4, s
ize : 0.00 MiB
GPUTexture: create : TEXTURE_1D, RGBA8, w : 1, h : 0, d : 0, comp : 4, size : 0.
00 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 1, h : 1, d : 0, comp : 4, size : 0.
00 MiB
GPUTexture: create : TEXTURE_3D, RGBA8, w : 1, h : 1, d : 1, comp : 4, size : 0.
00 MiB
Using KHR_debug extension
GL application marker: Successfully hooked OpenGL debug callback.
found bundled python: Z:\blender\2.80\python
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2147, h : 26, d : 0, comp : 4, size
: 0.21 MiB
GPUTexture: create : TEXTURE_2D, R8, w : 16384, h : 128, d : 0, comp : 1, size :
2.00 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 405, h : 26, d : 0, comp : 4, size :
0.04 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 16, h : 32, d : 0, comp : 4, size :
0.00 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 16, h : 32, d : 0, comp : 4, size :
0.00 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2520, h : 32, d : 0, comp : 4, size
: 0.31 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2552, h : 20, d : 0, comp : 4, size
: 0.19 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 442, h : 26, d : 0, comp : 4, size :
0.04 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 29, h : 956, d : 0, comp : 4, size :
0.11 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 413, h : 956, d : 0, comp : 4, size
: 1.51 MiB
GPUTexture: create : TEXTURE_2D, R8, w : 16384, h : 128, d : 0, comp : 1, size :
2.00 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 442, h : 26, d : 0, comp : 4, size :
0.04 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 442, h : 440, d : 0, comp : 4, size
: 0.74 MiB
GL API performance: Vertex shader recompiled due to state change.
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2109, h : 26, d : 0, comp : 4, size
: 0.21 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2109, h : 84, d : 0, comp : 4, size
: 0.68 MiB
GL API deprecated behavior: Wide lines have been deprecated. glLineWidth set to
2.000000. glLineWidth with width greater than 1.0 will generate GL_INVALID_VALUE
error in future versions
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2109, h : 26, d : 0, comp : 4, size
: 0.21 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 56, h : 1312, d : 0, comp : 4, size
: 0.28 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2109, h : 1338, d : 0, comp : 4, siz
e : 10.76 MiB
GPUTexture: create : TEXTURE_2D, DEPTH24_STENCIL8, w : 2109, h : 1338, d : 0, co
mp : 1, size : 10.76 MiB
GPUTexture: create : TEXTURE_1D, RGBA8, w : 257, h : 0, d : 0, comp : 4, size :
0.00 MiB
GPUTexture: create : TEXTURE_1D, RGBA8, w : 256, h : 0, d : 0, comp : 4, size :
0.00 MiB
GPUTexture: create : TEXTURE_3D, RGBA8, w : 1, h : 1, d : 1, comp : 4, size : 0.
00 MiB
GPUTexture: create : TEXTURE_1D, RGBA8, w : 1, h : 0, d : 0, comp : 4, size : 0.
00 MiB
GPUTexture: create : TEXTURE_2D, R11F_G11F_B10F, w : 2109, h : 1338, d : 0, comp
: 3, size : 10.76 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2109, h : 1338, d : 0, comp : 4, siz
e : 10.76 MiB
GPUTexture: create : TEXTURE_2D, R32UI, w : 2109, h : 1338, d : 0, comp : 1, siz
e : 10.76 MiB
GPUTexture: create : TEXTURE_2D, RG16, w : 2109, h : 1338, d : 0, comp : 2, size
: 10.76 MiB
GPUTexture: create : TEXTURE_2D, RGB16F, w : 64, h : 64, d : 0, comp : 3, size :
0.05 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2109, h : 1338, d : 0, comp : 4, siz
e : 10.76 MiB
GPUTexture: create : TEXTURE_2D, DEPTH24_STENCIL8, w : 2109, h : 1338, d : 0, co
mp : 1, size : 10.76 MiB
GPUTexture: create : TEXTURE_2D, DEPTH_COMPONENT24, w : 2109, h : 1338, d : 0, c
omp : 1, size : 8.07 MiB
GPUTexture: create : TEXTURE_2D, R16UI, w : 2109, h : 1338, d : 0, comp : 1, siz
e : 5.38 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2109, h : 1338, d : 0, comp : 4, siz
e : 10.76 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 16, h : 16, d : 0, comp : 4, size :
0.00 MiB
GPUTexture: create : TEXTURE_2D, R8, w : 16384, h : 64, d : 0, comp : 1, size :
1.00 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 527, h : 494, d : 0, comp : 4, size
: 0.99 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 388, h : 32, d : 0, comp : 4, size :
0.05 MiB
GPUTexture: create : TEXTURE_2D, RGBA8, w : 2148, h : 32, d : 0, comp : 4, size
: 0.26 MiB
GL API deprecated behavior: Wide lines have been deprecated. glLineWidth set to
2.000000. glLineWidth with width greater than 1.0 will generate GL_INVALID_VALUE
error in future versions
GL API deprecated behavior: Wide lines have been deprecated. glLineWidth set to
2.000000. glLineWidth with width greater than 1.0 will generate GL_INVALID_VALUE
error in future versions
Saved session recovery to 'Z:\TEMP\quit.blend'
Error : EXCEPTION_ACCESS_VIOLATION
Address : 0x3F800000

Additional test on a Fujitsu t904 running Windows 7 64 bit

blender-2.80-25772c9e1d2d-win64 loads
Either just double clicking the icon or through the command prompt with:
Z:\>blender64\blender --debug
Switching to fully guarded memory allocator.
Blender 2.80 (sub 42)
Build: 26/01/2019 17:52 Windows Release
argv[0] = blender64\blender
argv[1] = --debug
read file

Version 280 sub 39 date unknown hash unknown

AL lib: (EE) UpdateDeviceParams: Failed to set 48000hz, got 44100hz instead
found bundled python: Z:\blender64\2.80\python
Saved session recovery to 'Z:\TEMP\quit.blend'

Blender quit
Press any key to exit . . .

but
blender-2.80-25772c9e1d2d-win32
Doesn't seem to start when double clicked on, although using the command prompt it does load although an "Error : EXCEPTION_ACCESS_VIOLATION" is added when closing the program.
Z:\>blender32\blender --debug
Switching to fully guarded memory allocator.
Blender 2.80 (sub 42)
Build: 26/01/2019 16:03 Windows Release
argv[0] = blender32\blender
argv[1] = --debug
read file

Version 280 sub 39 date unknown hash unknown

AL lib: (EE) UpdateDeviceParams: Failed to set 48000hz, got 44100hz instead
found bundled python: Z:\blender32\2.80\python
Saved session recovery to 'Z:\TEMP\quit.blend'
Error : EXCEPTION_ACCESS_VIOLATION
Address : 0x3F800000

Z:\>blender32\blender --debug-gpu also doesn't seem to do anything, as in literal nothing happens the command prompt just starts a new line:

Z:\>blender32\blender --debug-gpu

Z:\>

Hope this helps, and thanks for any time spent looking into this.
And apologies that I accidentally posted this in T60932 when I meant to post it here but I had both pages open and didn't double check which I was writing into.

Jacques Lucke (JacquesLucke) raised the priority of this task from Needs Information from User to Needs Triage by Developer.Jan 29 2019, 8:29 AM
Sebastian Parborg (zeddb) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Jan 29 2019, 11:00 AM

I think this is related to T60089, but now we have an actually 32bit windows installation that can't run the 32bit version.

You said that a build from January 7th works without any problems? Did you try any other builds before that. IE did even older builds work fine too?

The 2018-12-11 blender-2.80-d415b5c7b85-win32 also works but when closing the program it does generate a similar error message in the command prompt as January 7th's does when closing.

The earliest build I have on hand is 2018-7-31 blender-2.80-9b817bc1689-win32 which does start but there is a windows error about BlendThumb64.dll but closing the error seems to let everything else that matters load (reloading/installing it I was able to quickly manipulate the default scene/cube with no issues either.):

C:\Program Files\Blender Foundation\blender-2.80.0-git.9b817bc1689-windows32>blender --debug
Switching to fully guarded memory allocator.
Blender 2.80 (sub 21)
Build: 31/07/2018 08:44 Windows Release
argv[0] = blender
argv[1] = --debug

Note: No (valid) 'C:\Users\AnnA\AppData\Roaming\Blender Foundation\Blender\2.80\
config\startup.blend' found, fall back to built-in default.

read file

Version 272 sub 2 date unknown hash unknown

AL lib: (EE) UpdateDeviceParams: Failed to set 44100hz, got 48000hz instead
Win32 Error# (3221692565): <no system message>
Win32 Error# (3221692565): <no system message>
Win32 Error# (3221692565): <no system message>
Win32 Error# (3221692565): <no system message>
Win32 Error# (3221692565): <no system message>
Win32 Error# (3221692565): <no system message>
found bundled python: C:\Program Files\Blender Foundation\blender-2.80.0-git.9b8
17bc1689-windows32\2.80\python
Saved session recovery to 'Z:\TEMP\quit.blend'
Memoryblock reconstruct: end corrupt

Does the latest blender version work if you update your GPU drivers? https://downloadcenter.intel.com/product/80939/Graphics-Drivers

"Does the latest blender version work if you update your GPU drivers?"
No, win32_15.33.47.5059 which was the latest driver that supports this device that is on Intel's site is already installed.
I just tried blender-2.80-957b4547aeeb-win32 and no change:

C:\Program Files\Blender Foundation\blender-2.80.0-git.957b4547aeeb-windows32>bl
ender --debug
Switching to fully guarded memory allocator.
Blender 2.80 (sub 42)
Build: 28/01/2019 16:05 Windows Release
argv[0] = blender
argv[1] = --debug

Note: No (valid) 'C:\Users\AnnA\AppData\Roaming\Blender Foundation\Blender\2.80\
config\startup.blend' found, fall back to built-in default.

read file

Version 280 sub 39 date unknown hash unknown

found bundled python: C:\Program Files\Blender Foundation\blender-2.80.0-git.957
b4547aeeb-windows32\2.80\python
Error : EXCEPTION_ACCESS_VIOLATION
Address : 0x5E4C43C6
Module : C:\windows\SYSTEM32\ig7icd32.dll

In case this might be related.

Could you delete the C:\Users\AnnA\AppData\Roaming\Blender Foundation\Blender\2.80\ directory. If you remove the 2.80 directory, it will copy over all the default file again.

If that doesn't help then I think this might be a intel driver bug.

However it seems like this might be a know issue: https://software.intel.com/en-us/forums/graphics-driver-bug-reporting/topic/721085

But intel won't fix it because they don't support gpus this old anymore.

I'm fairly certain that either isn't it or at least isn't the only issue.
Just tested the blender-2.80-957b4547aeeb-win32 build on a HP Zbook X2 running Windows 10 64 bit which is set to run blender on its Nvidia Quadro M620 and when double clicking it wouldn't start, just like with the test on the Fujitsu t904.

It will start via a command prompt debug but when closing see the same error generated.
To make things worse I now see that error with the debug on the 64 bit version.

With the Zbook X2 debug:

Z:\blender-2.80.0-git.957b4547aeeb-windows32>blender --debug
Switching to fully guarded memory allocator.
Blender 2.80 (sub 42)
Build: 28/01/2019 16:05 Windows Release
argv[0] = blender
argv[1] = --debug
read file C:\Users\AnnA Ayms\AppData\Roaming\Blender Foundation\Blender\2.80\config\userpref.blend

Version 280 sub 35 date 2018-11-29 15:57 hash 26d5a3625ed

Read prefs: C:\Users\AnnA Ayms\AppData\Roaming\Blender Foundation\Blender\2.80\config\userpref.blend
read file C:\Users\AnnA Ayms\AppData\Roaming\Blender Foundation\Blender\2.80\config\startup.blend

Version 280 sub 34 date 2018-11-27 00:52 hash 26b1aa99436

found bundled python: Z:\blender-2.80.0-git.957b4547aeeb-windows32\2.80\python
Saved session recovery to 'Z:\Temp\quit.blend'
Error : EXCEPTION_ACCESS_VIOLATION
Address : 0x3F800000

With --debug-gpu It won't start, at all just like the Fujitsu t904.
And now the 64 bit blender closes showing an "Error : EXCEPTION_ACCESS_VIOLATION" in the command prompt on close:

C:\Program Files\blender-2.80>blender --debug
Switching to fully guarded memory allocator.
Blender 2.80 (sub 42)
Build: 28/01/2019 16:05 Windows Release
argv[0] = blender
argv[1] = --debug
read file C:\Users\AnnA Ayms\AppData\Roaming\Blender Foundation\Blender\2.80\config\userpref.blend

Version 280 sub 35 date 2018-11-29 15:57 hash 26d5a3625ed

Read prefs: C:\Users\AnnA Ayms\AppData\Roaming\Blender Foundation\Blender\2.80\config\userpref.blend
read file C:\Users\AnnA Ayms\AppData\Roaming\Blender Foundation\Blender\2.80\config\startup.blend

Version 280 sub 34 date 2018-11-27 00:52 hash 26b1aa99436

found bundled python: C:\Program Files\blender-2.80\2.80\python
Saved session recovery to 'Z:\Temp\quit.blend'
Error : EXCEPTION_ACCESS_VIOLATION
Address : 0x3F800000

Also if it was purely Intel's bug then why can I run January 7th and earlier builds of 2,80 on the Q584 without issue. Something changed in blender this month that is now stopping it from running. The fact that there is also weirdness when tested on a recent Win64 based machine the 32 bit is still not starting as it should on newer and non-Intel graphics.

Also resetting the default file changed nothing.

It is already know that on some 64bit windows installs, the 32bit binary will not run: T60089

However, in your case on an actual 32bit windows install, the error happens inside the intel gpu driver .dll ( C:\windows\SYSTEM32\ig7icd32.dll )

Because you didn't get this issues before it probably means that something changed and it is now triggering the issue inside the intel .dll .

@Clément Foucault (fclem) any ideas?

Just to clarify I'm not the original poster of this issue but unfortunately they haven't added anymore information about their case. I know and understand 32 bit isn't a priority and to my knowledge will be dropped in the next major update (2.81?) and personally am fine sticking with the January 7th build on the Q584. If there are others though that use the 32 bit build on Windows though I hope they report if it works for them or not.

For the sake of information (although I'm not sure if any of it has value) I did a few more tests:

For a second native 32 bit Windows OS test I borrowed an Asus Note 8.
(Admittedly similar intel graphics but Windows 10 is on this machine.)

Asus Vivotab Note 8 Windows 10 32 bit
(1st time Blender was loaded/ran on this machine so defaults not an issue)
blender-2.80.0-git.957b4547aeeb-windows32

Error : EXCEPTION_ACCESS_VIOLATION
Address : 0x57C14716
Module : C:\WINDOWS\SYSTEM32\ig7icd32.dll

For a third native 32 bit test I installed Windows 7 32 bit on my Fujitsu t904. This is an Intel HD Graphics 4400 the Q584 is Intel HD Graphics (Bay Trail). I also know and shown in a previous comment that 64 bit Blender on a 64 bit Windows OS does start on this computers graphics chip but the 32 bit version of Blender on 32 bit Windows crashes on double click but loads with --debug but command prompt "blender" by itself and Blender --debug-gpu both crash. This is similar behavior to how the 32 bit Blender build runs on the 64 bit Windows OS boot on this machine:

Problem signature:

Problem Event Name:	APPCRASH
Application Name:	blender.exe
Application Version:	2.8.0.0
Application Timestamp:	5c4f98d0
Fault Module Name:	StackHash_9507
Fault Module Version:	6.1.7601.17725
Fault Module Timestamp:	4ec49b60
Exception Code:	c0000374
Exception Offset:	000c380b
OS Version:	6.1.7601.2.1.0.256.1
Locale ID:	1033
Additional Information 1:	9507
Additional Information 2:	95072a0c6d0e2b951141f3a9239ca828
Additional Information 3:	5e3a
Additional Information 4:	5e3a678a6effaeb121e6bd772e02101a

It does load via a command prompt with --debug:

C:\Users\AnnA\Desktop\blender-2.80.0-git.957b4547aeeb-windows32>blender --

debug
Switching to fully guarded memory allocator.
Blender 2.80 (sub 42)
Build: 28/01/2019 16:05 Windows Release
argv[0] = blender
argv[1] = --debug
read file

Version 280 sub 39 date unknown hash unknown

AL lib: (EE) UpdateDeviceParams: Failed to set 48000hz, got 44100hz instead
found bundled python: C:\Users\AnnA\Desktop\blender-2.80.0-

git.957b4547aeeb-windows32\2.80\python
Saved session recovery to 'C:\Users\AnnA\AppData\Local\Temp\quit.blend'
Error : EXCEPTION_ACCESS_VIOLATION
Address : 0x3F800000

But crashes like on a double click with --debug-gpu but the crash report is a little different:

Problem signature:

Problem Event Name:	APPCRASH
Application Name:	blender.exe
Application Version:	2.8.0.0
Application Timestamp:	5c4f98d0
Fault Module Name:	StackHash_99b6
Fault Module Version:	6.1.7601.17725
Fault Module Timestamp:	4ec49b60
Exception Code:	c0000374
Exception Offset:	000c380b
OS Version:	6.1.7601.2.1.0.256.1
Locale ID:	1033
Additional Information 1:	99b6
Additional Information 2:	99b65683808b8a968961cda2218329e3
Additional Information 3:	bb08
Additional Information 4:	bb08d406a273597ccc91496471e19256

January 7th 2019 blender-2.80.0-git.91a155833e59-windows32 generates a similar crash on double click (this build runs without issue on the q584 so it likely is an unrelated/separate issue):

Problem signature:

Problem Event Name:	APPCRASH
Application Name:	blender.exe
Application Version:	2.8.0.0
Application Timestamp:	5c33ebbd
Fault Module Name:	StackHash_9507
Fault Module Version:	6.1.7601.17725
Fault Module Timestamp:	4ec49b60
Exception Code:	c0000374
Exception Offset:	000c380b
OS Version:	6.1.7601.2.1.0.256.1
Locale ID:	1033
Additional Information 1:	9507
Additional Information 2:	95072a0c6d0e2b951141f3a9239ca828
Additional Information 3:	90d7
Additional Information 4:	90d73a837d8330f78df3115032cb736a

It just Occurred that on the t904's 64 bit Windows 7 partition I had some settings that were hiding the error windows on crash so re-enabling them they do show with the 32 bit Blender crashes on "blender" and "blender --debug-gpu" just like on the 32 bit windows.

Even if a separate issue that 32 bit Blender is crashing now on multiple confirmed and different Windows 64 machines so something with the 32 bit build of Blender is not right, as is how the t904s 32 bit Windows only will load Blender with --debug. This was also a clean windows 7 install with only the latest Intel Graphics loaded so nothing else to mess up things from running,

One last weirdness blender-2.80.0-git.91a155833e59-windows64 isn't generating the error on close like it was earlier on both the t904 and the Zbook. A good thing but now I'm confused why they generated them earlier.

Apologies if this was too much junk data.

On the t904 both 32 bit and 64 bit Windows 7 I can get blender-2.80-957b4547aeeb-win32 to start without debug if I enable compatibility mode, even Windows 7 compatibility option in Windows 7 (?) but unlike the mention in T60089 I need to keep compatibility mode enabled as disabling it brings back the crashes.

In my last comment I meant blender-2.80-957b4547aeeb-win64 not blender-2.80.0-git.91a155833e59-windows64 is no longer generating errors on close.

On the q584 January 22, 2019 blender-2.80-178299278b7a-win32 build is the first I tried that wouldn't start and the next I downloaded after January 7, 2019's working build. So it was during those 2 weeks is when something changed.

This is still an issue, right?

Yes, at least per my last test with February 25th 2019s blender-2.80-54ffc4e19dc4-win32 nothing is different from my last reported experiences/tests.

Sebastian Parborg (zeddb) raised the priority of this task from Needs Information from User to Normal.Feb 26 2019, 2:31 PM

Can you check if downloading this dll and copying it so its located in the same directory as 'blender.exe' help?

It will force software rendering so if this helps this is some kind of GPU driver issue.

On both the t904 running 32bit Win7 and the q584 Win8 32bit putting the opengl32.dll into the folder with blender-2.80-54ffc4e19dc4-win32 generates a similar error
"blender.exe - Bad Image" "(location ran from)\OPENGL32.dll is either not designed to run on Windows or it contains an error. Try installing the program again using the original installation media or contact your system administrator or the software vendor for support." Win8 adds "Error Status 0xc000035a."

I re-downloaded in case of a bad download but no change.

bad link, that was a 64 bit dll, try the 32 bit one

On the q584 now the error is "blender.exe - Application Error" "The application was unable to start correctly (0xc0000142). Click OK to close the application."

On the t904 when it is not in compatibility mode the error is "Blender has stopped working"
Problem signature:

Problem Event Name:	APPCRASH
Application Name:	blender.exe
Application Version:	2.8.0.0
Application Timestamp:	5c7487cb
Fault Module Name:	StackHash_ca1e
Fault Module Version:	6.1.7601.17725
Fault Module Timestamp:	4ec49b60
Exception Code:	c0000374
Exception Offset:	000c380b
OS Version:	6.1.7601.2.1.0.256.1
Locale ID:	1033
Additional Information 1:	ca1e
Additional Information 2:	ca1e9384c5a0bc9ef368bad8f3644eac
Additional Information 3:	0fa8
Additional Information 4:	0fa8e156c2bb21bd9a168b8b28eb5944

In compatibility mode it will start but that is how it behaved before on the t904.
On the q584 compatibility mode does not help, it crashes regardless.

Ok, then this probably not with the GPU drivers. That .dll forces software rendering.
As none of the developers can reproduce this issue, we don't really know what is wrong.

The software opengl32.dll provided by LazyDodo doesn't work on my 32-bit Netbook with an Intel iGPU, however I was able convince Blender to run with a different software OpenGL rasterizer found here:
https://github.com/pal1000/mesa-dist-win/releases

Today I installed the latest build of Blender-2.80.0-git.35b78d9807c4-Windows32.
If there is no file c:\users\toatame \appdata\roming\blender Foundation\Blender\2.80\config\startup.blend The program does not start. Here's the log:

Switching to fully guarded memory allocator.
Blender 2.80 (sub 48)
Build: 14/03/2019 17:20 Windows Release
argv[0] = blender
argv[1] = --debug
argv[2] = --python-expr
argv[3] = import bpy; bpy.ops.wm.sysinfo(filepath=r'C:\Users\tohateam\AppData\Local\Temp\blender\debug_logs\blender_system_info.txt')
read file

Version 280 sub 39 date unknown hash unknown

found bundled python: C:\Program Files\Blender Foundation\blender-2.80.0-git.35b78d9807c4-windows32\2.80\python
Error : EXCEPTION_ACCESS_VIOLATION
Address : 0x0A525376
Module : C:\WINDOWS\SYSTEM32\ig7icd32.dll

If there is a file, the program starts, but when the object is selected, it closes (crash). Log:

Switching to fully guarded memory allocator.
Blender 2.80 (sub 48)
Build: 14/03/2019 17:20 Windows Release
argv[0] = blender
argv[1] = --debug
argv[2] = --python-expr
argv[3] = import bpy; bpy.ops.wm.sysinfo(filepath=r'C:\Users\tohateam\AppData\Local\Temp\blender\debug_logs\blender_system_info.txt')
read file C:\Users\tohateam\AppData\Roaming\Blender Foundation\Blender\2.80\config\userpref.blend

Version 280 sub 35 date 2018-11-29 22:54 hash 63c06531707

Read prefs: C:\Users\tohateam\AppData\Roaming\Blender Foundation\Blender\2.80\config\userpref.blend
read file C:\Users\tohateam\AppData\Roaming\Blender Foundation\Blender\2.80\config\startup.blend

Version 280 sub 35 date 2018-11-29 22:54 hash 63c06531707

found bundled python: C:\Program Files\Blender Foundation\blender-2.80.0-git.35b78d9807c4-windows32\2.80\python
Error : EXCEPTION_ACCESS_VIOLATION
Address : 0x0B0A5376
Module : C:\WINDOWS\SYSTEM32\ig7icd32.dll

When you try to load a project, the program closes (crash). Log:

Switching to fully guarded memory allocator.
Blender 2.80 (sub 48)
Build: 14/03/2019 17:20 Windows Release
argv[0] = blender
argv[1] = --debug
argv[2] = --python-expr
argv[3] = import bpy; bpy.ops.wm.sysinfo(filepath=r'C:\Users\tohateam\AppData\Local\Temp\blender\debug_logs\blender_system_info.txt')
read file C:\Users\tohateam\AppData\Roaming\Blender Foundation\Blender\2.80\config\userpref.blend

Version 280 sub 35 date 2018-11-29 22:54 hash 63c06531707

Read prefs: C:\Users\tohateam\AppData\Roaming\Blender Foundation\Blender\2.80\config\userpref.blend
read file C:\Users\tohateam\AppData\Roaming\Blender Foundation\Blender\2.80\config\startup.blend

Version 280 sub 35 date 2018-11-29 22:54 hash 63c06531707

found bundled python: C:\Program Files\Blender Foundation\blender-2.80.0-git.35b78d9807c4-windows32\2.80\python
Read blend: C:\Users\tohateam\OneDrive\PROJECTS\Blender\Kamaz dump truck\Kamaz_Dump(2.80).blend
read file C:\Users\tohateam\OneDrive\PROJECTS\Blender\Kamaz dump truck\Kamaz_Dump(2.80).blend

Version 280 sub 39 date 2019-01-02 18:59 hash 11f2c65128dc

Memoryblock reconstruct: end corrupt
Memoryblock reconstruct: end corrupt
Memoryblock reconstruct: end corrupt
Memoryblock reconstruct: end corrupt
Error : EXCEPTION_ACCESS_VIOLATION
Address : 0x0A845376
Module : C:\WINDOWS\SYSTEM32\ig7icd32.dll

Module : C:\WINDOWS\SYSTEM32\ig7icd32.dll

Video driver problems.

Module : C:\WINDOWS\SYSTEM32\ig7icd32.dll

Video driver problems.

I'm amazed by the fact that the whole video driver is a fad. Then embrace the popular, why does this build blender-2.80.0-git. 63c06531707-windows32? The video driver is one and the same, you do not come up with other thoughts?

I tested the other/mesa opengl32.dll nero1024 linked to on my Fujitsu t904 that I installed Win7 32-bit on but for me its issue/problem didn't change (still crashed on startup when compatibility mode is off) so at least in that case it is something else along with the driver. Although now with compatibility mode on even when it starts (hardware mode) the 3d viewport is purely black (on both 32 an 64 Win 7 intel Haswell graphics) so the graphics driver is also an issue but that issue doesn't result in a crash. On that same computer (Fujitsu t904) on the boot partition with Windows 10 64-bit blender loads fine. With the Win 7 boot partition and Compatibility Mode on and mesa opengl32.dll (software mode) the initial 3d viewport shows but Blender immediately freezes. The Windows 7 haswell intel drivers simply are no longer compatible with the newest builds of Blender 2.80. Although I do consider it reasonable if they are now longer supported, I just want to report/confirm my findings.

The test on the q584 with Windows 8.1 32-bit (and its processor can only run a 32-bit OS) with the other/mesa opengl32.dll resulted in that it did essentially just load blender but blender immediately froze (program 100% unresponsive with a task manager forced shutdown of the program necessary) after the splash screen disappeared like on the t904. Differently though afterward it would just crash when trying to start it again.

There are too many different issues mixed in this report. If it's not entirely clear, it's best to create a new report and let developers merge duplicates. Otherwise it becomes too confusing.

For @Yousif (xtrayos), the Intel G41 chipset is not supported for Blender 2.80, its OpenGL version is too old.

For @A. Botos (AnnA_Ayms), that may be the same issue as T58938: Crash when using EEVEE and Intel HD 4000 or T60089: 2.80 32-bit appears broken (on 64-bit Windows at least).

For @Анатолий (tohateam), at least part of the problem may be the same as T60089: 2.80 32-bit appears broken (on 64-bit Windows at least).

Please test the very latest 2.80 32 bit build which has some new fixes for 32 bit.

Brecht Van Lommel (brecht) triaged this task as Needs Information from User priority.Apr 6 2019, 2:39 PM

I just tested with blender-2.80-cc73d59ad580-win32

On the Fujitsu t904 with Windows 7 32-bit (HD4400)
No crash or errors and it loads completely fine now.

On the Fujitsu q584 with Windows 8.1 32-bit (Baytrail based on HD4000)
It still crashes, I'll post in T58938 with the logs.

I think this bug is fixed as the q584 seems purely related to its graphics card.

Brecht Van Lommel (brecht) closed this task as Archived.Apr 7 2019, 3:16 AM
Brecht Van Lommel (brecht) claimed this task.

Agree, I think all bugs here are probably covered by other reports. And if not new ones can be made.

The original report is a not a bug as this GPU is not supported for Blender 2.8.